Author Topic: DIMTMOVE & vla-put-TextMovement not sticking...  (Read 1672 times)

0 Members and 1 Guest are viewing this topic.

BazzaCAD

  • Guest
DIMTMOVE & vla-put-TextMovement not sticking...
« on: October 02, 2008, 03:37:22 PM »
This is driving me crazy...
When I run this code:
Code: [Select]
(defun C:UpdateDimsTMove2 ( / SS1 cnt vl)
  (Setq SS1 (SsGet "X" (List (Cons 0 "DIMENSION"))))
  (setq cnt 0)
  (while (< cnt (SSLength SS1))
    (setq vl (vlax-ename->vla-object (ssname SS1 cnt)))
    (vla-put-TextMovement vl 2)
    (vla-put-Fit vl 3)
    (setq cnt (1+ cnt))
  )
  (princ)
)
All is fine, but when I close\save & reopen the DWG, the TextMovement gets set back to = 1
& I can't figure out why, even when the DIMTMOVE var is set to = 2, it still gets changed.
Any one have any ideas?